summaryrefslogtreecommitdiff
path: root/Microbenchmarks
diff options
context:
space:
mode:
authorDerf Null <derf@finalrewind.org>2023-04-24 15:54:04 +0200
committerDerf Null <derf@finalrewind.org>2023-04-24 15:54:04 +0200
commitdcd1740432acc7f08dffb26b801089b81646400c (patch)
tree6a4b36c306c959df751b7c5c800e756c7efb38d4 /Microbenchmarks
parent8404f453f7312d5eabc0d0434c38c0549705f571 (diff)
microbenchmarks: create "profile" directory if it does not exist; set -e
Diffstat (limited to 'Microbenchmarks')
-rwxr-xr-xMicrobenchmarks/Arithmetic-Throughput/run.sh3
-rwxr-xr-xMicrobenchmarks/CPU-DPU/run.sh3
-rwxr-xr-xMicrobenchmarks/MRAM-Latency/run.sh3
-rwxr-xr-xMicrobenchmarks/Operational-Intensity/run.sh3
-rwxr-xr-xMicrobenchmarks/Random-GUPS/run.sh3
-rwxr-xr-xMicrobenchmarks/STREAM/run.sh3
-rwxr-xr-xMicrobenchmarks/STRIDED/run.sh3
-rwxr-xr-xMicrobenchmarks/WRAM/run.sh3
8 files changed, 24 insertions, 0 deletions
diff --git a/Microbenchmarks/Arithmetic-Throughput/run.sh b/Microbenchmarks/Arithmetic-Throughput/run.sh
index 9200e54..3d13aa3 100755
--- a/Microbenchmarks/Arithmetic-Throughput/run.sh
+++ b/Microbenchmarks/Arithmetic-Throughput/run.sh
@@ -1,5 +1,8 @@
#!/bin/bash
+mkdir -p profile
+set -e
+
for i in ADD SUB MUL DIV
do
for j in INT32 FLOAT UINT32 INT64 DOUBLE UINT64
diff --git a/Microbenchmarks/CPU-DPU/run.sh b/Microbenchmarks/CPU-DPU/run.sh
index 09cdd7a..0132cb1 100755
--- a/Microbenchmarks/CPU-DPU/run.sh
+++ b/Microbenchmarks/CPU-DPU/run.sh
@@ -1,5 +1,8 @@
#!/bin/bash
+mkdir -p profile
+set -e
+
for i in 1 2 4 8 16 32 64
do
for j in 1
diff --git a/Microbenchmarks/MRAM-Latency/run.sh b/Microbenchmarks/MRAM-Latency/run.sh
index 2ae57bf..41e1464 100755
--- a/Microbenchmarks/MRAM-Latency/run.sh
+++ b/Microbenchmarks/MRAM-Latency/run.sh
@@ -1,5 +1,8 @@
#!/bin/bash
+mkdir -p profile
+set -e
+
for i in 3 4 5 6 7 8 9 10 11
do
for j in 1
diff --git a/Microbenchmarks/Operational-Intensity/run.sh b/Microbenchmarks/Operational-Intensity/run.sh
index a540154..1708dae 100755
--- a/Microbenchmarks/Operational-Intensity/run.sh
+++ b/Microbenchmarks/Operational-Intensity/run.sh
@@ -1,5 +1,8 @@
#!/bin/bash
+mkdir -p profile
+set -e
+
for i in ADD SUB MUL DIV
do
for j in CHAR SHORT INT32 FLOAT INT64 DOUBLE
diff --git a/Microbenchmarks/Random-GUPS/run.sh b/Microbenchmarks/Random-GUPS/run.sh
index 8c33392..f2fb7ff 100755
--- a/Microbenchmarks/Random-GUPS/run.sh
+++ b/Microbenchmarks/Random-GUPS/run.sh
@@ -1,5 +1,8 @@
#!/bin/bash
+mkdir -p profile
+set -e
+
for i in 1
do
for j in 1 2 4 8 12 16
diff --git a/Microbenchmarks/STREAM/run.sh b/Microbenchmarks/STREAM/run.sh
index 141b01c..3ed965e 100755
--- a/Microbenchmarks/STREAM/run.sh
+++ b/Microbenchmarks/STREAM/run.sh
@@ -1,5 +1,8 @@
#!/bin/bash
+mkdir -p profile
+set -e
+
# MRAM
for i in copy copyw add scale triad
do
diff --git a/Microbenchmarks/STRIDED/run.sh b/Microbenchmarks/STRIDED/run.sh
index 153e633..ec575c6 100755
--- a/Microbenchmarks/STRIDED/run.sh
+++ b/Microbenchmarks/STRIDED/run.sh
@@ -1,5 +1,8 @@
#!/bin/bash
+mkdir -p profile
+set -e
+
for i in COARSECOARSE FINEFINE
do
for j in 1
diff --git a/Microbenchmarks/WRAM/run.sh b/Microbenchmarks/WRAM/run.sh
index 12fca6e..163d47c 100755
--- a/Microbenchmarks/WRAM/run.sh
+++ b/Microbenchmarks/WRAM/run.sh
@@ -1,5 +1,8 @@
#!/bin/bash
+mkdir -p profile
+set -e
+
# WRAM
for i in streaming random
do